List services¶
Use /services to retrieve detailed information on the services associated with your account.This includes the following details on your service:
- Service name, description, & category
- The material stream
- Name and volume of associated containers
- Monthly base pricing & disposal rates
URI¶
GET /api/v1/customers/{customerId}/services
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters:¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
| line_of_business | N | String | query | Line of business such as RESIDENTIAL/COMMERCIAL/ROLLOFF |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique identifier for each request |
| services | Object | The service details |
| id | Number | Unique Service Identifier |
| status | String | Service Status (Active or Inactive) |
| occurs | String | Occurrence of the services(e.g.,.On Call,Per Week) |
| taxable | String | Flag to decide if the service is taxable or not |
| type_code | String | Type code of the service |
| enterprise_catalog | Object | The Enterprise catalog details |
| Id | Number | Unique enterprise Catalog Identifier |
| name | String | Name of the enterprise catalog |
| description | String | Description of the enterprise catalog |
| sub_category | String | Catalog sub category |
| category | String | Catalog category |
| line_of_business | String | Line of business |
| material | Object | Material details associated with service |
| Id | Number | Unique Material Identifier |
| code | String | Material code |
| name | String | Name of the material |
| special_handling | String | Flag that indicates if special handling is needed(true/false) |
| manifest | String | Manifest Flag( true/false) |
| equipment | Object | Equipment details |
| Id | String | Unique Equipment Identifier |
| name | String | Name of the equipment |
| description | String | Description of the equipment |
| volume | Number | Volume of the equipment |
| uom | String | Unit of measure |
| count | Number | Number of containers |
| pricing | Object | Pricing details |
| summary_pricing | String | Flag to indicate if summary pricing is needed(true/false) |
| extended_cost_amount | Number | Cost of service per month |
| currency_code | String | Currency code (USD or CAD) |
| disposal_rate_type | String | Type of disposal rate |
| disposal_rate_amount | Number | Amount of disposal rate |
| uom | String | Unit of measure |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/services?line_of_business=RESIDENTIAL
Sample Response¶
{ "request_tracking_id": "312", "services": [{ "id": "1", "status": "Active", "occurs": "On Call", "taxable": "true", "type_code": "T", "enterprise_catalog": { "id": "2321", "name": "COLL_RO:HAUL uses RO with 30O for MSIN", "description": "Hauling - 30 Yard Open Top for MSW Industrial", "sub_category": "HAUL", "category": "COLL", "line_of_business": "COLL_RO" }, "material": { "id": "169", "code": "MSIN", "name": "MSW Industrial", "special_handling": "false", "manifest": "false" }, "equipment": { "id": "30O", "name": "30 Yard Open Top", "description": "null", "volume": "30", "uom": "YD3", "count": "1" }, "pricing": { "summary_pricing": "true", "extended_cost_amount": "133.63", "currency_code": "USD", "disposal_rate_type": "R", "disposal_rate_amount": "133.63", "uom": "EA" } }]}